function ph = drawnode(node, axish, uimenu_info, L)
window = getdata(node);
ph = [];
if (window.informative ==0)
    node_face_col = 'r';
    node_edge_col = 'y';
    return
else
    node_face_col = 'y';
    node_edge_col = 'r';
end
z = length(window.level)+1;
markersize = 2*(L - z+ 1);
mu = window.mu;
ph = plot3(axish, mu(2), mu(1), z , 'o', 'markerSize', markersize, 'MarkerEdgeColor', node_edge_col, 'MarkerFaceColor', node_face_col, 'UIContextMenu', uimenu_info, 'UserData', node);
children = getchildren(node);
return;